<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('words', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('word_answers', function(Blueprint $table) {
			$table->foreign('word_id')->references('id')->on('words')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('word_answer_locales', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('word_answer_locales', function(Blueprint $table) {
			$table->foreign('word_answer_id')->references('id')->on('word_answers')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('category_locales', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('category_locales', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('lessons', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('lesson_locales', function(Blueprint $table) {
			$table->foreign('language_id')->references('id')->on('languages')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('lesson_locales', function(Blueprint $table) {
			$table->foreign('lesson_id')->references('id')->on('lessons')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('lesson_words', function(Blueprint $table) {
			$table->foreign('lesson_id')->references('id')->on('lessons')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('lesson_words', function(Blueprint $table) {
			$table->foreign('word_id')->references('id')->on('words')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('relationships', function(Blueprint $table) {
			$table->foreign('follower_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('relationships', function(Blueprint $table) {
			$table->foreign('following_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('user_lessons', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('user_lessons', function(Blueprint $table) {
			$table->foreign('lesson_id')->references('id')->on('lessons')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->foreign('user_lesson_id')->references('id')->on('user_lessons')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->foreign('word_id')->references('id')->on('words')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->foreign('word_answer_id')->references('id')->on('word_answers')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->foreign('word_answer_correct_id')->references('id')->on('word_answers')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('activities', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('activities', function(Blueprint $table) {
			$table->foreign('user_lesson_id')->references('id')->on('user_lessons')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('words', function(Blueprint $table) {
			$table->dropForeign('words_category_id_foreign');
		});
		Schema::table('word_answers', function(Blueprint $table) {
			$table->dropForeign('word_answers_word_id_foreign');
		});
		Schema::table('word_answer_locales', function(Blueprint $table) {
			$table->dropForeign('word_answer_locales_language_id_foreign');
		});
		Schema::table('word_answer_locales', function(Blueprint $table) {
			$table->dropForeign('word_answer_locales_word_answer_id_foreign');
		});
		Schema::table('category_locales', function(Blueprint $table) {
			$table->dropForeign('category_locales_language_id_foreign');
		});
		Schema::table('category_locales', function(Blueprint $table) {
			$table->dropForeign('category_locales_category_id_foreign');
		});
		Schema::table('lessons', function(Blueprint $table) {
			$table->dropForeign('lessons_category_id_foreign');
		});
		Schema::table('lesson_locales', function(Blueprint $table) {
			$table->dropForeign('lesson_locales_language_id_foreign');
		});
		Schema::table('lesson_locales', function(Blueprint $table) {
			$table->dropForeign('lesson_locales_lesson_id_foreign');
		});
		Schema::table('lesson_words', function(Blueprint $table) {
			$table->dropForeign('lesson_words_lesson_id_foreign');
		});
		Schema::table('lesson_words', function(Blueprint $table) {
			$table->dropForeign('lesson_words_word_id_foreign');
		});
		Schema::table('relationships', function(Blueprint $table) {
			$table->dropForeign('relationships_follower_id_foreign');
		});
		Schema::table('relationships', function(Blueprint $table) {
			$table->dropForeign('relationships_following_id_foreign');
		});
		Schema::table('user_lessons', function(Blueprint $table) {
			$table->dropForeign('user_lessons_user_id_foreign');
		});
		Schema::table('user_lessons', function(Blueprint $table) {
			$table->dropForeign('user_lessons_lesson_id_foreign');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->dropForeign('user_lesson_result_user_lesson_id_foreign');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->dropForeign('user_lesson_result_word_id_foreign');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->dropForeign('user_lesson_result_word_answer_id_foreign');
		});
		Schema::table('user_lesson_result', function(Blueprint $table) {
			$table->dropForeign('user_lesson_result_word_answer_correct_id_foreign');
		});
		Schema::table('activities', function(Blueprint $table) {
			$table->dropForeign('activities_user_id_foreign');
		});
		Schema::table('activities', function(Blueprint $table) {
			$table->dropForeign('activities_user_lesson_id_foreign');
		});
	}
}